Bug 579072 - Review Request: perl-File-ShareDir-Install - Install shared files
Summary: Review Request: perl-File-ShareDir-Install - Install shared files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Chris Weyl
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/File-Shar...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-02 13:27 UTC by Iain Arnell
Modified: 2010-04-20 13:33 UTC (History)
2 users (show)

Fixed In Version: perl-File-ShareDir-Install-0.03-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-20 13:13:41 UTC
cweyl: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-04-02 13:27:01 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-File-ShareDir-Install.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-File-ShareDir-Install-0.03-1.fc14.src.rpm

Description:
File::ShareDir::Install allows you to install read-only data files from a
distribution. It is a companion module to File::ShareDir, which allows you
to locate these files after installation.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091206

*rt-0.10_01

Comment 1 Chris Weyl 2010-04-02 15:33:47 UTC
Looks good!  The usual comments w.r.t. PERL_INSTALL_ROOT/DESTDIR and
perl_default_filter apply.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2091206

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Source tarballs match upstream (sha1sum):
a79b2086a874082a0b6908b444d39efdf16fb92f File-ShareDir-Install-0.03.tar.gz
a79b2086a874082a0b6908b444d39efdf16fb92f File-ShareDir-Install-0.03.tar.gz.srpm

Final provides / requires are sane:

0 packages and 1 specfiles checked; 0 errors, 0 warnings.
=====> perl-File-ShareDir-Install-0.03-1.fc14.noarch.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-ShareDir-Install-0.03-1.fc14.noarch.rpm
perl(File::ShareDir::Install) = 0.03
perl-File-ShareDir-Install = 0.03-1.fc14
====> requires for perl-File-ShareDir-Install-0.03-1.fc14.noarch.rpm
perl >= 0:5.008
perl(Carp)  
perl(Exporter)  
perl(File::Spec)  
perl(IO::Dir)  
perl(:MODULE_COMPAT_5.10.1)  
perl(strict)  
perl(warnings)  

=====> perl-File-ShareDir-Install-0.03-1.fc14.src.rpm <=====
====> rpmlint
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
====> provides for perl-File-ShareDir-Install-0.03-1.fc14.src.rpm
====> requires for perl-File-ShareDir-Install-0.03-1.fc14.src.rpm
perl(ExtUtils::MakeMaker) >= 6.11
perl(Test::More)  
perl(Test::Pod)  
perl(Test::Pod::Coverage)  

APPROVED

Comment 2 Iain Arnell 2010-04-02 16:21:33 UTC
New Package CVS Request
=======================
Package Name: perl-File-ShareDir-Install
Short Description: Install shared files
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-04-03 17:45:01 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Iain Arnell 2010-04-04 07:02:01 UTC
I guess I should really take a look at maintainertool - or at least patch cpanspec to handle the filter/destdir tweaks automatically.

Comment 5 Fedora Update System 2010-04-04 07:10:46 UTC
perl-File-ShareDir-Install-0.03-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc12

Comment 6 Fedora Update System 2010-04-04 07:10:51 UTC
perl-File-ShareDir-Install-0.03-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc13

Comment 7 Fedora Update System 2010-04-04 07:10:55 UTC
perl-File-ShareDir-Install-0.03-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc11

Comment 8 Fedora Update System 2010-04-06 19:55:13 UTC
perl-File-ShareDir-Install-0.03-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-ShareDir-Install'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc13

Comment 9 Fedora Update System 2010-04-09 01:38:26 UTC
perl-File-ShareDir-Install-0.03-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-ShareDir-Install'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc11

Comment 10 Fedora Update System 2010-04-09 01:40:47 UTC
perl-File-ShareDir-Install-0.03-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-ShareDir-Install'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-File-ShareDir-Install-0.03-2.fc12

Comment 11 Fedora Update System 2010-04-20 13:13:37 UTC
perl-File-ShareDir-Install-0.03-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-04-20 13:23:11 UTC
perl-File-ShareDir-Install-0.03-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-04-20 13:33:29 UTC
perl-File-ShareDir-Install-0.03-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.